SoDrawStyle(3)

NAME
SoDrawStyle - The SoDrawStyle class specifies common rendering properties for shapes.

SYNOPSIS

#include <Inventor/nodes/SoDrawStyle.h>

Inherits SoNode.

  Public Types
enum Style { FILLED = SoDrawStyleElement::FILLED, LINES = SoDrawStyleElement::LINES, POINTS = SoDrawStyleElement::POINTS, INVISIBLE = SoDrawStyleElement::INVISIBLE }

  Public Member Functions
virtual SoType getTypeId (void) const
SoDrawStyle (void)
virtual void doAction (SoAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void callback (SoCallbackAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFEnum style
SoSFFloat pointSize
SoSFFloat lineWidth
SoSFUShort linePattern
SoSFInt32 linePatternScaleFactor

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoDrawStyle ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoDrawStyle class specifies common rendering properties for shapes. Use SoDrawStyle nodes to influence how shape nodes following them in the scene graph will be rendered. This node type have fields to help decide how certain aspects of point-based shapes, line-based shapes and filled shape primitives are rendered.

Simple scene graph structure usage example:

#Inventor V2.1 ascii
Separator {
   Sphere { }
   Translation { translation 4 0 0 }
   DrawStyle { style LINES  lineWidth 2 }
   Sphere { }
   Translation { translation 4 0 0 }
   DrawStyle { style POINTS  pointSize 2 }
   Sphere { }
}

 Rendering of Example Scenegraph

FILE FORMAT/DEFAULTS:

DrawStyle {
    style FILLED
    pointSize 0
    lineWidth 0
    linePattern 0xffff
    linePatternScaleFactor 1
}

Member Enumeration Documentation

  enum SoDrawStyle::Style
Enumeration for the various ways to render geometry.

Enumerator

FILLED
    Render all geometry as-is.

LINES
    Render all geometry as border lines.

POINTS
    Render all geometry as vertex points.

INVISIBLE
    Don't render geometry.

Constructor & Destructor Documentation

  SoDrawStyle::SoDrawStyle (void)
Constructor.

  SoDrawStyle::~SoDrawStyle () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoDrawStyle::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoDrawStyle::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoDrawStyle::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoDrawStyle::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoDrawStyle::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoDrawStyle::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoDrawStyle::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

Member Data Documentation

  SoSFEnum SoDrawStyle::style
How to render the geometry following a draw style node in the scene graph. Default SoDrawStyle::FILLED.

  SoSFFloat SoDrawStyle::pointSize
Size in screen pixels of SoPointSet points, and also of geometry vertex points if setting the SoDrawStyle::style to SoDrawStyle::POINTS.

The valid range of point size settings varies according to which OpenGL implementation is used. For the purpose of not trying to set illegal values, the application programmer should at runtime check the valid range. How this can be accomplished is described in the class documentation of SoGLPointSizeElement.

Default value is 0.0f, which is a 'tag' value which tells the rendering library to use the default setting.

  SoSFFloat SoDrawStyle::lineWidth
Width in screen pixels of SoLineSet and SoIndexedLineSet lines, and also of geometry border lines if setting the SoDrawStyle::style to SoDrawStyle::LINES.

The valid range of line width settings varies according to which OpenGL implementation is used. For the purpose of not trying to set illegal values, the application programmer should at runtime check the valid range. How this can be accomplished is described in the class documentation of SoGLLineWidthElement.

Default value is 0.0f, which is a 'tag' value which tells the rendering library to use the default setting.

  SoSFUShort SoDrawStyle::linePattern
Pattern as a bitmask used when drawing lines. Default is 0xffff (no 'holes').

  SoSFInt32 SoDrawStyle::linePatternScaleFactor
Multiplier for the bitmask in linePattern (range 1 - 256). Default is 1.

Author

Generated automatically by Doxygen for Coin from the source code.